<html>
<head>
<title>OgreLogManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreLogManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreLogManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __LogManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __LogManager_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreLog_8h.html">OgreLog.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre
<a name="l00039"></a>00039 {
<a name="l00064"></a><a class="code" href="classOgre_1_1LogManager.html">00064</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;LogManager&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">LogAlloc</a>
<a name="l00065"></a>00065     {
<a name="l00066"></a>00066     <span class="keyword">protected</span>:
<a name="l00067"></a><a class="code" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">00067</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, Log*&gt;::type</a> <a class="code" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a>;
<a name="l00068"></a>00068 
<a name="l00070"></a><a class="code" href="classOgre_1_1LogManager.html#a489779006a5b20d9b00270ebc2d76ba5">00070</a>         <a class="code" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a> <a class="code" href="classOgre_1_1LogManager.html#a489779006a5b20d9b00270ebc2d76ba5" title="A list of all the logs the manager can access.">mLogs</a>;
<a name="l00071"></a>00071 
<a name="l00073"></a><a class="code" href="classOgre_1_1LogManager.html#a590d285b99b40eab5296e59bca131e19">00073</a>         <a class="code" href="classOgre_1_1Log.html">Log</a>* <a class="code" href="classOgre_1_1LogManager.html#a590d285b99b40eab5296e59bca131e19" title="The default log to which output is done.">mDefaultLog</a>;
<a name="l00074"></a>00074 
<a name="l00075"></a>00075     <span class="keyword">public</span>:
<a name="l00076"></a>00076         <a class="code" href="OgrePrerequisites_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <span class="comment">// public to allow external locking</span>
<a name="l00077"></a>00077 
<a name="l00078"></a>00078         <a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>();
<a name="l00079"></a>00079         ~<a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>();
<a name="l00080"></a>00080 
<a name="l00097"></a>00097         <a class="code" href="classOgre_1_1Log.html">Log</a>* createLog( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> defaultLog = <span class="keyword">false</span>, <span class="keywordtype">bool</span> debuggerOutput = <span class="keyword">true</span>, 
<a name="l00098"></a>00098             <span class="keywordtype">bool</span> suppressFileOutput = <span class="keyword">false</span>);
<a name="l00099"></a>00099 
<a name="l00102"></a>00102         <a class="code" href="classOgre_1_1Log.html">Log</a>* getLog( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00103"></a>00103 
<a name="l00106"></a>00106         <a class="code" href="classOgre_1_1Log.html">Log</a>* getDefaultLog();
<a name="l00107"></a>00107 
<a name="l00109"></a>00109         <span class="keywordtype">void</span> destroyLog(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00111"></a>00111         <span class="keywordtype">void</span> destroyLog(<a class="code" href="classOgre_1_1Log.html">Log</a>* log);
<a name="l00112"></a>00112 
<a name="l00116"></a>00116         <a class="code" href="classOgre_1_1Log.html">Log</a>* setDefaultLog(<a class="code" href="classOgre_1_1Log.html">Log</a>* newLog);
<a name="l00117"></a>00117 
<a name="l00120"></a>00120         <span class="keywordtype">void</span> logMessage( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; message, <a class="code" href="group__General.html#ga124456c1616299612ac9f46e7d69268d" title="The importance of a logged message.">LogMessageLevel</a> lml = <a class="code" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, 
<a name="l00121"></a>00121             <span class="keywordtype">bool</span> maskDebug = <span class="keyword">false</span>);
<a name="l00122"></a>00122 
<a name="l00125"></a><a class="code" href="classOgre_1_1LogManager.html#a4be284d44cb3271413335d2e56fb49fb">00125</a>         <span class="keywordtype">void</span> logMessage( <a class="code" href="group__General.html#ga124456c1616299612ac9f46e7d69268d" title="The importance of a logged message.">LogMessageLevel</a> lml, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; message,  
<a name="l00126"></a>00126             <span class="keywordtype">bool</span> maskDebug = <span class="keyword">false</span>) { <a class="code" href="classOgre_1_1LogManager.html#a4be284d44cb3271413335d2e56fb49fb" title="Log a message to the default log (signature for backward compatibility).">logMessage</a>(message, lml, maskDebug); }
<a name="l00127"></a>00127 
<a name="l00129"></a>00129         <a class="code" href="classOgre_1_1Log_1_1Stream.html" title="Stream object which targets a log.">Log::Stream</a> stream(<a class="code" href="group__General.html#ga124456c1616299612ac9f46e7d69268d" title="The importance of a logged message.">LogMessageLevel</a> lml = <a class="code" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, 
<a name="l00130"></a>00130             <span class="keywordtype">bool</span> maskDebug = <span class="keyword">false</span>);
<a name="l00131"></a>00131 
<a name="l00134"></a>00134         <span class="keywordtype">void</span> setLogDetail(<a class="code" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b" title="The level of detail to which the log will go into.">LoggingLevel</a> ll);
<a name="l00150"></a>00150         <span class="keyword">static</span> <a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00166"></a>00166         <span class="keyword">static</span> <a class="code" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00167"></a>00167 
<a name="l00168"></a>00168     };
<a name="l00169"></a>00169 
<a name="l00170"></a>00170 
<a name="l00173"></a>00173 }
<a name="l00174"></a>00174 
<a name="l00175"></a>00175 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
